commit:     52cd4fc77e3d8b683a6c2662e2d9418f9268f60e
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Fri Apr  5 19:15:50 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 09:21:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52cd4fc7

dev-libs/libotf: EAPI8 bump

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/36125
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-libs/libotf/libotf-0.9.16-r1.ebuild | 49 +++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/dev-libs/libotf/libotf-0.9.16-r1.ebuild 
b/dev-libs/libotf/libotf-0.9.16-r1.ebuild
new file mode 100644
index 000000000000..64a7e7d43b66
--- /dev/null
+++ b/dev-libs/libotf/libotf-0.9.16-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Library for handling OpenType fonts (OTF)"
+HOMEPAGE="https://www.nongnu.org/m17n/";
+SRC_URI="mirror://nongnu/m17n/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs X"
+
+RDEPEND=">=media-libs/freetype-2.4.9
+       X? (
+               x11-libs/libX11
+               x11-libs/libXaw
+               x11-libs/libXt
+       )"
+DEPEND="${RDEPEND}
+       X? (
+               x11-base/xorg-proto
+               x11-libs/libICE
+               x11-libs/libXmu
+       )"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.9.13-build.patch
+       "${FILESDIR}"/${PN}-0.9.16-freetype_pkgconfig.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       export ac_cv_header_X11_Xaw_Command_h=$(usex X)
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to